﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
	public void RadFilter1_FieldEditorCreated(object sender, RadFilterFieldEditorCreatedEventArgs e)
	{
		if (e.Editor.FieldName == "DateTime")
		{
			RadFilterDateFieldEditor editor = e.Editor as RadFilterDateFieldEditor;
			string pickerTypeAsString = (RadGrid1.MasterTableView.GetColumn("DateTime") as GridDateTimeColumn).PickerType.ToString();
			editor.PickerType = (RadFilterDateFieldEditorPickerType)Enum.Parse(typeof(RadFilterDateFieldEditorPickerType), pickerTypeAsString);
		}
	}

	protected void Page_Load(object sender, EventArgs e)
	{
	}

	protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
	{
		//RadGrid1.DataSource = "BayerisheMotorenWerke";

		DataTable data = new DataTable();

		data.Columns.Add("ID");
		data.Columns.Add("Name");
		data.Columns.Add("Description");
		data.Columns.Add("DateTime");

		data.Rows.Add(1, "Name 1", 1);
		data.Rows.Add(2, "Name 2", 2);
		data.Rows.Add(2, "Name 3", 3);
		data.Rows.Add(DateTime.Now);

		RadGrid1.DataSource = data;

		//this.RadGrid1.DataSource = data;
	}
}
